/*--------------------------------------------------------------
>>> TABLE OF CONTENTS:
----------------------------------------------------------------
# Generic (CALLED IN NORMALIZE.CSS)
	- Normalize
	- Box sizing
	- Media width
# Base
	- Typography
	- Elements
	- Links
# Components
	- Header
	- Main
	- Footer
--------------------------------------------------------------*/

/*--------------------------------------------------------------
# Base
--------------------------------------------------------------*/

/* Typography
--------------------------------------------- */
body {
    font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
	font-size: 1rem;
	font-weight: 400;
	line-height: 1.5;
	background-color: #111111;
	color: #ffffff;
	text-align: center;

	/* Glow effect */
	background-image: radial-gradient(circle at 15% 50%, #94f37a33 0%,#94f37a1a 8%, transparent 20%);
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    margin: 1rem 0;
    font-size: 2rem;
	font-weight: 700;
}

h1, h2 {
	color: #ffffff;
	line-height: 1.1;
	letter-spacing: -0.02rem;
}

h2 {
	font-size: 2.25rem;
	margin: 2rem 0;
}

p {
    margin: 0 0 1.5rem;
}


/* Elements
--------------------------------------------- */
section {
    padding:0 1rem;
}


/* Links
--------------------------------------------- */
a,
a:visited { 
	color: #23a100;
	text-decoration: none;
}

a:hover,
a:focus,
a:active {
	color: #94f37a;
}

a:focus {
	outline: 1px dotted;
}


/*--------------------------------------------------------------
# Components
--------------------------------------------------------------*/
.site-wrapper {
    max-width: 120rem;
    margin: 0 auto;
}


/* Header
--------------------------------------------- */
.site-header {
    padding: 1rem;
    display: flex;
    align-items: center;
	justify-content: space-between;
}

.site-navigation ul {
    list-style: none;
	padding: 0;
	margin: 0;
	display: flex;
	flex-wrap: wrap;
	justify-content: flex-end;
}

.site-navigation a {
    display: inline-block;
	padding: .5rem;
    font-size: 1rem;
	text-decoration: none;
	color: #ffffff;
}

a:hover,
a:focus,
a:active {
	color: #94f37a;
}

@media (min-width: 50em) {
    .site-navigation {
		flex: 1 1 auto;
	}

	.site-navigation a {
		line-height: 3rem;
		padding: 0 1rem;
		font-size: 1.25em;
	}
}


/* Main
--------------------------------------------- */
.site-main {
	margin: 0;
	padding: 0;
}

.emphasis {
	color:#94f37a;
}


/* Page Header */
.page-header {
	display:flex;
	align-items: center;
	position: relative;	
	top: 0;
	background-color: #054d05;
	width: 100%;
	height: 30rem;
	margin: 0;
}

.page-header img {
	display: block;
	object-fit: cover;
	min-height: 30rem;
}

.page-header h1 {
	position: absolute;
	top: 55%;
	left: 50%;
	transform: translate(-50%, -50%);
	font-size: 3rem;
	margin: 0;
	line-height: .85;
}

.header-eyebrow {
	position: absolute;
	top: 42%;
	left: 50%;
	transform: translate(-50%, -50%);
	min-width: 12.5rem;
	margin: 0;
	color: #94f37a;
	font-size: .7rem;
	text-shadow: 0 0 16px #000000;
}

@media (min-width: 50em) {
	.page-header h1 {
		font-size: 6rem;
		max-width: 9ch;
	}

	.header-eyebrow {
		top: 35%;
		left: 50%;
		transform: translate(-50%, -50%);
		font-size: 1.3rem;
	}
}


/* Section: Works */
.section-projects {
	display: flex;
	flex-direction: column;	
	margin-bottom: 2.5rem;	
}

.projects-wrapper {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	align-items: center;
	gap: 1.5rem;
}

.project-card {
	position:relative;
	min-width: 15rem;
	max-width: 16rem;
	background: #ffffff;
	border-radius: 10px;
	overflow: hidden;
	border: 2px solid #94f37a;
}

.project-card:hover {
	box-shadow: 0 4px 12px #94f37a;
}

.project-card-link {
	display:block;
	text-decoration: none;
	color: inherit;
	cursor: pointer;
}

.project-image {
	width: 100%;
	display: block;
}

.project-text {
	position: absolute;
  	bottom: 0;
  	left: 50%;
  	transform: translateX(-50%);
  	width: 100%;
	background-color: #ffffffcc;
	color: #111111;
	padding: 1rem;
	text-shadow: 0 0 16px #ffffff;
}	

.project-name {
	margin: 0;
	font-size: 1.5rem;	
	font-weight: 600;
}

.project-description {
	margin: 0;
	font-size: 1rem; 
}

.project-button { 
	display: inline-block;
	background-color: #ffffff;
	color: #111111;
	font-size: .7rem;
	border-radius: 1rem;
	padding: 0.6rem .7rem;
	margin-top: .7rem;
	text-decoration: none;
	text-shadow: none;
	border: 2px solid #111111;
}

.project-button:visited {
	color: #054d05;
}		

.project-button:hover,
.project-button:focus {
	color: #94f37a;
	background-color: #054d05;
	text-decoration: none;
}


@media (min-width: 50em) {
	.section-projects {
		margin: 4rem;
	}

	.section-projects h2 {
		font-size: 3.25rem;
		margin-bottom: 5rem;
	}

	.projects-wrapper article {
		width: 20%;
	}
	.project-card {
		max-width: none;
	}
}


/* Section: About */
.section-about {
	padding-bottom: 2rem;
}

.section-about p {
	padding: 0 1rem;
	margin-bottom: 1rem;
	text-align: left;
}

@media (min-width: 50em) {
	.section-about {
		display: flex;
		flex-wrap: wrap;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		margin: 4rem;
	}

	.section-about h2 {
		font-size: 3.25rem;
		margin-bottom: 3rem;
	}

	.section-about p {
		max-width: 35rem;
	}
}


/* Section: Contact */
.section-contact {
	background-color: #94f37a;
	color: #111111;
	padding: 1rem;
}

.section-contact h2 {
	color: #111111;
}

.section-contact em {
	color: #054d05;
}

.section-contact p {
	margin-bottom: 0;
}

.contact-button {
	display: inline-block;
	color: #111111;
	font-size: .7rem;
	border-radius: 1rem;
	padding: 0.6rem .7rem;
	margin-top: .7rem;
	text-decoration: none;
	margin-bottom: 1.5rem;
	border: 2px solid #111111;
}

.contact-button:hover,
.contact-button :active,
.contact-button:focus {
	background-color: #054d05;
	color: #94f37a;
}

.top {
	color: #054d05;
	font-size: .7rem;
	text-decoration: none;
}

.top:hover,
.top:active,
.top:focus {
	color: #ffffff;
}


/* Footer
--------------------------------------------- */
footer {
	padding: 1rem 1rem;
}

footer p {
	color: #94f37a;
	margin-top: 2rem;
	margin-bottom: .75rem;
	font-size: .7rem;
}

@media (min-width: 50em) {
	footer p {
		font-size: 1.25rem;
	}
}